Bug 1253538 - display wrong webhook url on web console
display wrong webhook url on web console
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 00:08 EDT by Wang Haoran
Modified: 2015-09-08 16:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 16:14:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wang Haoran 2015-08-14 00:08:12 EDT
Description of problem:

the build web hook url Suffix GitHub and Generic is upper case

Version-Release number of selected component (if applicable):
oc v1.0.4-229-g238ae3d
openshift v1.0.4-229-g238ae3d
kubernetes v1.1.0-alpha.0-1155-gb73c53c


How reproducible:
always

Steps to Reproduce:
1.set up the openshift origin env on ec2 instance 
2.login in use user admin
  $oc login localhost -u admin -p fad
3.create new project 
  $oc new-project test
4.create the ruby hello world example
  $oc process -f application-template-stibuild.json|oc create -f -
5. login the web console with user admin and select the project test , click browse-> builds-> Show URL  
 
Actual results:
https://<serverip>:8443/oapi/v1/namespaces/test/buildconfigs/ruby-sample-build/webhooks/secret101/GitHub
https://<serverip>:8443/oapi/v1/namespaces/test/buildconfigs/ruby-sample-build/webhooks/secret101/Generic

Expected results:
on the web console ,the  web hook url should be avaiable
https://<serverip>:8443/oapi/v1/namespaces/test/buildconfigs/ruby-sample-build/webhooks/secret101/github
https://<serverip>:8443/oapi/v1/namespaces/test/buildconfigs/ruby-sample-build/webhooks/secret101/generic
Additional info:
Comment 1 Jessica Forrester 2015-08-17 14:41:44 EDT
fixed in https://github.com/openshift/origin/pull/4214
Comment 2 openshift-github-bot 2015-08-18 10:18:31 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/ccd77c2301141bdfe26f50123eaded67f4e3be12
Bug 1253538 - webhook URLs should have a lower case type
Comment 3 Wang Haoran 2015-08-19 22:01:59 EDT
the bug was verified in AMI devenv-fedora_2176

Note You need to log in before you can comment on or make changes to this bug.